> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get automated project creation settings by ID



## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v3/automatedProjects/{settingsId}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v3/automatedProjects/{settingsId}:
    get:
      tags:
        - Automations
      summary: Get automated project creation settings by ID
      operationId: getAutomatedProjectCreation_2
      parameters:
        - name: settingsId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutomatedProjectCreationV3DtoV3'
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    AutomatedProjectCreationV3DtoV3:
      type: object
      required:
        - frequency
        - id
        - monitoredFolders
        - name
      properties:
        active:
          type: boolean
        continuousProject:
          type: boolean
        createProjectAutomation:
          $ref: '#/components/schemas/AutomatedProjectCreateProjectAutomationV3DtoV3'
        deprecatedTargetLangs:
          type: array
          uniqueItems: true
          items:
            type: string
        frequency:
          $ref: '#/components/schemas/AutomationProjectCreationFrequencyV3DtoV3'
        id:
          type: string
        initialIterationMode:
          type: string
        monitoredFolders:
          type: array
          items:
            $ref: '#/components/schemas/MonitoredFolderV3DtoV3'
        name:
          type: string
          minLength: 0
          maxLength: 255
        projectCreationMode:
          type: string
        selectedTargetLangs:
          type: array
          uniqueItems: true
          items:
            type: string
        sourceLang:
          type: string
        sourceUpdateAutomation:
          $ref: '#/components/schemas/AutomatedProjectSourceUpdateAutomationV3DtoV3'
        targetUpdateAutomation:
          $ref: '#/components/schemas/AutomatedProjectTargetUpdateAutomationV3DtoV3'
        translationExports:
          type: array
          items:
            $ref: '#/components/schemas/TRANSLATION_EXPORT_ENTRY'
        warnings:
          type: array
          items:
            type: object
        webhook:
          $ref: '#/components/schemas/WEBHOOK_TOKEN_V3'
    AutomatedProjectCreateProjectAutomationV3DtoV3:
      type: object
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
        assignProvidersEnabled:
          type: boolean
        calculateDueDateEnabled:
          type: boolean
        createAnalysesEnabled:
          type: boolean
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
        createBuyerQuotesEnabled:
          type: boolean
        createProviderQuotesEnabled:
          type: boolean
        dueDateSchemeUid:
          type: string
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
    AutomationProjectCreationFrequencyV3DtoV3:
      type: object
      required:
        - frequencyOption
      properties:
        frequencyOption:
          type: string
          enum:
            - UNDEFINED
            - WEEKLY_FIXED_TIMES
            - HOUR_TIME_RANGE
            - MINUTE_TIME_RANGE
            - MONTHLY_FIXED_TIMES
        monthlyFixedTimes:
          type: array
          items:
            $ref: '#/components/schemas/AutomatedProjectMonthlyFixedTimeV3DtoV3'
        range:
          type: integer
          format: int32
        weeklyFixedTimes:
          type: array
          items:
            $ref: '#/components/schemas/AutomatedProjectWeeklyFixedTimeV3DtoV3'
    MonitoredFolderV3DtoV3:
      type: object
      required:
        - encodedRemoteFolder
        - folderNames
        - humanReadableFolderPath
        - localToken
        - projectTemplateUid
        - remoteFolder
      properties:
        encodedRemoteFolder:
          type: string
        fileNameRegex:
          type: string
          minLength: 0
          maxLength: 255
        folderNames:
          type: array
          items:
            type: string
        humanReadableFolderPath:
          type: string
        includeSubfolders:
          type: boolean
        localToken:
          type: string
        moveToProcessedSubfolder:
          type: boolean
        processedSubfolder:
          type: string
        projectTemplateUid:
          type: string
        remoteFolder:
          type: string
        selectedMonitoredFiles:
          type: array
          items:
            $ref: '#/components/schemas/MonitoredFileDto'
    AutomatedProjectSourceUpdateAutomationV3DtoV3:
      type: object
      properties:
        applyProjectDueDateToJobsEnabled:
          type: boolean
        calculateDueDateEnabled:
          type: boolean
        continuousAnalysesSettings:
          $ref: '#/components/schemas/ContinuousAnalysesSettingsV3DtoV3'
        createAnalysesEnabled:
          type: boolean
        createAnalysesType:
          type: string
          enum:
            - DEFAULT
            - POST_EDITING
            - CONTINUOUS
            - CONTINUOUS_DEFAULT
        createAnalysesWorkflowNumber:
          type: integer
          format: int32
          minimum: 1
          maximum: 999
        createBuyerQuotesEnabled:
          type: boolean
        createProviderQuotesEnabled:
          type: boolean
        dueDateSchemeUid:
          type: string
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
        reopenWorkflowEnabled:
          type: boolean
        reopenWorkflowNumberAndLater:
          type: integer
          format: int32
          minimum: 1
          maximum: 999
    AutomatedProjectTargetUpdateAutomationV3DtoV3:
      type: object
      properties:
        manualReviewEnabled:
          type: boolean
        notifyProjectOwnerEmailTemplate:
          $ref: '#/components/schemas/AutomationEmailTemplateV3DtoV3'
        notifyProjectOwnerEnabled:
          type: boolean
        targetUpdateEnabled:
          type: boolean
    TRANSLATION_EXPORT_ENTRY:
      type: object
      required:
        - name
      properties:
        exportFrom:
          $ref: '#/components/schemas/TRANSLATION_EXPORT_FROM'
        exportWhen:
          $ref: '#/components/schemas/TRANSLATION_EXPORT_WHEN'
        exportedWorkflowStepToDeliveredAfterExport:
          type: boolean
        name:
          type: string
    WEBHOOK_TOKEN_V3:
      type: object
      properties:
        webhookToken:
          type: string
        webhookUrl:
          type: string
    AutomationEmailTemplateV3DtoV3:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
    AutomatedProjectMonthlyFixedTimeV3DtoV3:
      type: object
      properties:
        dayOfMonth:
          type: integer
          format: int32
        fixedTime:
          type: integer
          format: int32
        timeZone:
          type: string
    AutomatedProjectWeeklyFixedTimeV3DtoV3:
      type: object
      properties:
        dayOfWeek:
          type: integer
          format: int32
        fixedTime:
          type: integer
          format: int32
        timeZone:
          type: string
    MonitoredFileDto:
      type: object
      required:
        - encodedFileName
        - fileName
      properties:
        encodedFileName:
          type: string
        fileName:
          type: string
        uniqueIdentifier:
          type: string
    ContinuousAnalysesSettingsV3DtoV3:
      type: object
      properties:
        analyzeByLanguage:
          type: boolean
        excludeLocked:
          type: boolean
        excludeNumbers:
          type: boolean
        includeMachineTranslationMatches:
          type: boolean
        includeNonTranslatables:
          type: boolean
        includeTransMemory:
          type: boolean
        internalFuzzyMatches:
          type: boolean
        namingPattern:
          type: string
          minLength: 0
          maxLength: 255
        separateInternalFuzzyMatches:
          type: boolean
    TRANSLATION_EXPORT_FROM:
      type: object
      required:
        - type
      properties:
        type:
          type: string
        workflowStep:
          type: integer
          format: int32
          minimum: 1
          maximum: 999
    TRANSLATION_EXPORT_WHEN:
      type: object
      required:
        - exportTrigger
      properties:
        exportTrigger:
          type: string
        workflowStep:
          type: integer
          format: int32
          minimum: 1
          maximum: 999
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````